Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.support
Class TestRunComponentEnabler

    java.lang.Object
      com.eviware.soapui.monitor.support.TestMonitorListenerAdapter
          com.eviware.soapui.impl.wsdl.panels.support.TestRunComponentEnabler

All Implemented Interfaces:
  TestMonitorListener

    public class TestRunComponentEnabler

extends TestMonitorListenerAdapter

ComponentEnabler for disabling components during TestCase runs

Author:
  Ole.Matzura

Constructor Summary
`TestRunComponentEnabler(TestCase testCase)`

Method Summary
`void` | `add(javax.swing.JComponent component)`
`void` | `loadTestFinished(LoadTestRunner runner)`
`void` | `loadTestStarted(LoadTestRunner runner)`
`void` | `release()`
`void` | `testCaseFinished(TestRunner runner)`
`void` | `testCaseStarted(TestRunner runner)`

Methods inherited from class com.eviware.soapui.monitor.support.TestMonitorListenerAdapter
`mockServiceStarted, mockServiceStopped`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestRunComponentEnabler

    public TestRunComponentEnabler(TestCase testCase)

Method Detail

### release

    public void release()

### loadTestStarted

    public void loadTestStarted(LoadTestRunner runner)

  Specified by:
    `loadTestStarted` in interface `TestMonitorListener`
  Overrides:
    `loadTestStarted` in class `TestMonitorListenerAdapter`

### loadTestFinished

    public void loadTestFinished(LoadTestRunner runner)

  Specified by:
    `loadTestFinished` in interface `TestMonitorListener`
  Overrides:
    `loadTestFinished` in class `TestMonitorListenerAdapter`

### testCaseStarted

    public void testCaseStarted(TestRunner runner)

  Specified by:
    `testCaseStarted` in interface `TestMonitorListener`
  Overrides:
    `testCaseStarted` in class `TestMonitorListenerAdapter`

### testCaseFinished

    public void testCaseFinished(TestRunner runner)

  Specified by:
    `testCaseFinished` in interface `TestMonitorListener`
  Overrides:
    `testCaseFinished` in class `TestMonitorListenerAdapter`

### add

    public void add(javax.swing.JComponent component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.